# Swagger\Client\HostingftpAPIApi

All URIs are relative to *https://www.1gb.ru/api*

Method | HTTP request | Description
------------- | ------------- | -------------
[**ftpListGet**](HostingftpAPIApi.md#ftpListGet) | **GET** /ftp/list | Получить список зарегистрированных аккаунтов FTP


# **ftpListGet**
> \Swagger\Client\Model\InlineResponse2007[] ftpListGet($_token_)

Получить список зарегистрированных аккаунтов FTP

### Example
```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\HostingftpAPIApi();
$_token_ = "_token__example"; // string | Ключ доступа, полученный при авторизации

try {
    $result = $api_instance->ftpListGet($_token_);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling HostingftpAPIApi->ftpListGet: ', $e->getMessage(), PHP_EOL;
}
?>
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **_token_** | **string**| Ключ доступа, полученный при авторизации |

### Return type

[**\Swagger\Client\Model\InlineResponse2007[]**](../Model/InlineResponse2007.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)

