# Swagger\Client\HostingiisAPIApi

All URIs are relative to *https://www.1gb.ru/api*

Method | HTTP request | Description
------------- | ------------- | -------------
[**iisListGet**](HostingiisAPIApi.md#iisListGet) | **GET** /iis/list | Список сайтов IIS


# **iisListGet**
> \Swagger\Client\Model\InlineResponse2008[] iisListGet($_token_)

Список сайтов IIS

### Example
```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\HostingiisAPIApi();
$_token_ = "_token__example"; // string | Ключ доступа, полученный при авторизации

try {
    $result = $api_instance->iisListGet($_token_);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling HostingiisAPIApi->iisListGet: ', $e->getMessage(), PHP_EOL;
}
?>
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **_token_** | **string**| Ключ доступа, полученный при авторизации |

### Return type

[**\Swagger\Client\Model\InlineResponse2008[]**](../Model/InlineResponse2008.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)

