<?php
/**
 * InlineResponse20014Test
 *
 * PHP version 5
 *
 * @category Class
 * @package  Swagger\Client
 * @author   http://github.com/swagger-api/swagger-codegen
 * @license  http://www.apache.org/licenses/LICENSE-2.0 Apache Licene v2
 * @link     https://github.com/swagger-api/swagger-codegen
 */

/**
 * 1Gb API
 *
 * API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.
 *
 * OpenAPI spec version: 2.0.0
 * 
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen
 * Please update the test case below to test the model.
 */

namespace Swagger\Client;

/**
 * InlineResponse20014Test Class Doc Comment
 *
 * @category    Class */
// * @description InlineResponse20014
/**
 * @package     Swagger\Client
 * @author      http://github.com/swagger-api/swagger-codegen
 * @license     http://www.apache.org/licenses/LICENSE-2.0 Apache Licene v2
 * @link        https://github.com/swagger-api/swagger-codegen
 */
class InlineResponse20014Test extends \PHPUnit_Framework_TestCase
{

    /**
     * Setup before running any test case
     */
    public static function setUpBeforeClass()
    {

    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {

    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {

    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {

    }

    /**
     * Test "InlineResponse20014"
     */
    public function testInlineResponse20014()
    {

    }

    /**
     * Test attribute "id"
     */
    public function testPropertyId()
    {

    }

    /**
     * Test attribute "status"
     */
    public function testPropertyStatus()
    {

    }

    /**
     * Test attribute "unmovable"
     */
    public function testPropertyUnmovable()
    {

    }

    /**
     * Test attribute "online"
     */
    public function testPropertyOnline()
    {

    }

    /**
     * Test attribute "deleted"
     */
    public function testPropertyDeleted()
    {

    }

    /**
     * Test attribute "deleted_auto"
     */
    public function testPropertyDeletedAuto()
    {

    }

    /**
     * Test attribute "deleted_dump"
     */
    public function testPropertyDeletedDump()
    {

    }

    /**
     * Test attribute "user_id"
     */
    public function testPropertyUserId()
    {

    }

    /**
     * Test attribute "ftp_id"
     */
    public function testPropertyFtpId()
    {

    }

    /**
     * Test attribute "dns_id"
     */
    public function testPropertyDnsId()
    {

    }

    /**
     * Test attribute "iis_id"
     */
    public function testPropertyIisId()
    {

    }

    /**
     * Test attribute "iis_binding"
     */
    public function testPropertyIisBinding()
    {

    }

    /**
     * Test attribute "iis_path"
     */
    public function testPropertyIisPath()
    {

    }

    /**
     * Test attribute "iis_comments"
     */
    public function testPropertyIisComments()
    {

    }

    /**
     * Test attribute "memo"
     */
    public function testPropertyMemo()
    {

    }

    /**
     * Test attribute "date_reg"
     */
    public function testPropertyDateReg()
    {

    }

    /**
     * Test attribute "server"
     */
    public function testPropertyServer()
    {

    }

    /**
     * Test attribute "server_bak"
     */
    public function testPropertyServerBak()
    {

    }

    /**
     * Test attribute "server_aux"
     */
    public function testPropertyServerAux()
    {

    }

    /**
     * Test attribute "server_transition"
     */
    public function testPropertyServerTransition()
    {

    }

    /**
     * Test attribute "server_transition_dtc"
     */
    public function testPropertyServerTransitionDtc()
    {

    }

    /**
     * Test attribute "block_transfer"
     */
    public function testPropertyBlockTransfer()
    {

    }

    /**
     * Test attribute "server_changed_time"
     */
    public function testPropertyServerChangedTime()
    {

    }

    /**
     * Test attribute "size_amount"
     */
    public function testPropertySizeAmount()
    {

    }

    /**
     * Test attribute "size_file_count"
     */
    public function testPropertySizeFileCount()
    {

    }

    /**
     * Test attribute "size_file_count_limit"
     */
    public function testPropertySizeFileCountLimit()
    {

    }

    /**
     * Test attribute "size_date"
     */
    public function testPropertySizeDate()
    {

    }

    /**
     * Test attribute "size_priority_scan"
     */
    public function testPropertySizePriorityScan()
    {

    }

    /**
     * Test attribute "copy_logs"
     */
    public function testPropertyCopyLogs()
    {

    }

    /**
     * Test attribute "content_comments"
     */
    public function testPropertyContentComments()
    {

    }

    /**
     * Test attribute "content_comments_verbose"
     */
    public function testPropertyContentCommentsVerbose()
    {

    }

    /**
     * Test attribute "meta_save_count"
     */
    public function testPropertyMetaSaveCount()
    {

    }

    /**
     * Test attribute "base_folder"
     */
    public function testPropertyBaseFolder()
    {

    }

    /**
     * Test attribute "virtualhost_conf"
     */
    public function testPropertyVirtualhostConf()
    {

    }

    /**
     * Test attribute "virtualhost_server"
     */
    public function testPropertyVirtualhostServer()
    {

    }

    /**
     * Test attribute "virtualhost_server_conf"
     */
    public function testPropertyVirtualhostServerConf()
    {

    }

    /**
     * Test attribute "live_day_count"
     */
    public function testPropertyLiveDayCount()
    {

    }

    /**
     * Test attribute "scan_date"
     */
    public function testPropertyScanDate()
    {

    }

    /**
     * Test attribute "global_transfer_count"
     */
    public function testPropertyGlobalTransferCount()
    {

    }

    /**
     * Test attribute "net_limit_file"
     */
    public function testPropertyNetLimitFile()
    {

    }

    /**
     * Test attribute "net_limit_deny_from_ip"
     */
    public function testPropertyNetLimitDenyFromIp()
    {

    }

    /**
     * Test attribute "net_limit_deny_from_agent"
     */
    public function testPropertyNetLimitDenyFromAgent()
    {

    }

    /**
     * Test attribute "apache_php_pooled"
     */
    public function testPropertyApachePhpPooled()
    {

    }

    /**
     * Test attribute "apache_php_pooled_ext"
     */
    public function testPropertyApachePhpPooledExt()
    {

    }

    /**
     * Test attribute "apache_php_pooled_ext_auto"
     */
    public function testPropertyApachePhpPooledExtAuto()
    {

    }

    /**
     * Test attribute "apache_php_pool1_only"
     */
    public function testPropertyApachePhpPool1Only()
    {

    }

    /**
     * Test attribute "apache_php_pool5_only"
     */
    public function testPropertyApachePhpPool5Only()
    {

    }

    /**
     * Test attribute "apache_ssi"
     */
    public function testPropertyApacheSsi()
    {

    }

    /**
     * Test attribute "bypass_security"
     */
    public function testPropertyBypassSecurity()
    {

    }

    /**
     * Test attribute "flag_generic_exec"
     */
    public function testPropertyFlagGenericExec()
    {

    }

    /**
     * Test attribute "flag_no_www"
     */
    public function testPropertyFlagNoWww()
    {

    }

    /**
     * Test attribute "base_folder_suffix"
     */
    public function testPropertyBaseFolderSuffix()
    {

    }

    /**
     * Test attribute "feedback_speed"
     */
    public function testPropertyFeedbackSpeed()
    {

    }

    /**
     * Test attribute "feedback_speed_dtc"
     */
    public function testPropertyFeedbackSpeedDtc()
    {

    }

    /**
     * Test attribute "feedback_speed_feedback"
     */
    public function testPropertyFeedbackSpeedFeedback()
    {

    }

    /**
     * Test attribute "unix_path_on_windows"
     */
    public function testPropertyUnixPathOnWindows()
    {

    }

    /**
     * Test attribute "ftp_ipfilter"
     */
    public function testPropertyFtpIpfilter()
    {

    }

    /**
     * Test attribute "ssh_ipfilter"
     */
    public function testPropertySshIpfilter()
    {

    }

    /**
     * Test attribute "l3d_auto"
     */
    public function testPropertyL3dAuto()
    {

    }

    /**
     * Test attribute "awstats_primary_domain"
     */
    public function testPropertyAwstatsPrimaryDomain()
    {

    }

    /**
     * Test attribute "sharepoint_mode"
     */
    public function testPropertySharepointMode()
    {

    }

    /**
     * Test attribute "sharepoint_mode_pending"
     */
    public function testPropertySharepointModePending()
    {

    }

    /**
     * Test attribute "apache_generic_pool_port"
     */
    public function testPropertyApacheGenericPoolPort()
    {

    }

    /**
     * Test attribute "mongrel_environment"
     */
    public function testPropertyMongrelEnvironment()
    {

    }

    /**
     * Test attribute "flag_free"
     */
    public function testPropertyFlagFree()
    {

    }

    /**
     * Test attribute "rtm_scan_date"
     */
    public function testPropertyRtmScanDate()
    {

    }

    /**
     * Test attribute "analyze_analog"
     */
    public function testPropertyAnalyzeAnalog()
    {

    }

    /**
     * Test attribute "cpu_details_enabled"
     */
    public function testPropertyCpuDetailsEnabled()
    {

    }

    /**
     * Test attribute "content_moderated_status"
     */
    public function testPropertyContentModeratedStatus()
    {

    }

    /**
     * Test attribute "content_moderated_date"
     */
    public function testPropertyContentModeratedDate()
    {

    }

    /**
     * Test attribute "http_frontend_ip"
     */
    public function testPropertyHttpFrontendIp()
    {

    }

    /**
     * Test attribute "http_frontend_ip_transition"
     */
    public function testPropertyHttpFrontendIpTransition()
    {

    }

    /**
     * Test attribute "cpu_limit_exceeded_date"
     */
    public function testPropertyCpuLimitExceededDate()
    {

    }

    /**
     * Test attribute "aufs_template"
     */
    public function testPropertyAufsTemplate()
    {

    }

    /**
     * Test attribute "options_autolimit"
     */
    public function testPropertyOptionsAutolimit()
    {

    }

    /**
     * Test attribute "iis_creation_commands"
     */
    public function testPropertyIisCreationCommands()
    {

    }

    /**
     * Test attribute "iis_creation_commands_unix"
     */
    public function testPropertyIisCreationCommandsUnix()
    {

    }

    /**
     * Test attribute "thumb_date"
     */
    public function testPropertyThumbDate()
    {

    }

    /**
     * Test attribute "thumb_failed"
     */
    public function testPropertyThumbFailed()
    {

    }

    /**
     * Test attribute "backup_stat_date"
     */
    public function testPropertyBackupStatDate()
    {

    }

    /**
     * Test attribute "backup_date"
     */
    public function testPropertyBackupDate()
    {

    }

    /**
     * Test attribute "detected_packages"
     */
    public function testPropertyDetectedPackages()
    {

    }

    /**
     * Test attribute "stat_site_power"
     */
    public function testPropertyStatSitePower()
    {

    }

    /**
     * Test attribute "smtp_from"
     */
    public function testPropertySmtpFrom()
    {

    }

    /**
     * Test attribute "super_backup_date"
     */
    public function testPropertySuperBackupDate()
    {

    }

    /**
     * Test attribute "backup_delta_stat_date"
     */
    public function testPropertyBackupDeltaStatDate()
    {

    }

    /**
     * Test attribute "backup_delta_date"
     */
    public function testPropertyBackupDeltaDate()
    {

    }

    /**
     * Test attribute "backup_delta_desc"
     */
    public function testPropertyBackupDeltaDesc()
    {

    }

    /**
     * Test attribute "alt_docroot_server"
     */
    public function testPropertyAltDocrootServer()
    {

    }

    /**
     * Test attribute "alt_docroot_path"
     */
    public function testPropertyAltDocrootPath()
    {

    }

    /**
     * Test attribute "alt_docroot_status"
     */
    public function testPropertyAltDocrootStatus()
    {

    }

    /**
     * Test attribute "alt_docroot_status_cnt"
     */
    public function testPropertyAltDocrootStatusCnt()
    {

    }

    /**
     * Test attribute "alt_docroot_status_date"
     */
    public function testPropertyAltDocrootStatusDate()
    {

    }

    /**
     * Test attribute "bind_dtc"
     */
    public function testPropertyBindDtc()
    {

    }

    /**
     * Test attribute "backup_special_mode"
     */
    public function testPropertyBackupSpecialMode()
    {

    }

    /**
     * Test attribute "size_check_problem"
     */
    public function testPropertySizeCheckProblem()
    {

    }

    /**
     * Test attribute "wpb_domain"
     */
    public function testPropertyWpbDomain()
    {

    }

    /**
     * Test attribute "wpb_uuid"
     */
    public function testPropertyWpbUuid()
    {

    }

    /**
     * Test attribute "wpb_status"
     */
    public function testPropertyWpbStatus()
    {

    }

    /**
     * Test attribute "admin_protection"
     */
    public function testPropertyAdminProtection()
    {

    }

    /**
     * Test attribute "size_comments"
     */
    public function testPropertySizeComments()
    {

    }

    /**
     * Test attribute "alt_docroot_ssd_req"
     */
    public function testPropertyAltDocrootSsdReq()
    {

    }

    /**
     * Test attribute "mail_limit"
     */
    public function testPropertyMailLimit()
    {

    }

    /**
     * Test attribute "mail_accept"
     */
    public function testPropertyMailAccept()
    {

    }

    /**
     * Test attribute "mail_drop"
     */
    public function testPropertyMailDrop()
    {

    }

    /**
     * Test attribute "ftp_name"
     */
    public function testPropertyFtpName()
    {

    }

    /**
     * Test attribute "ftp_pwd"
     */
    public function testPropertyFtpPwd()
    {

    }

}
