# Swagger\Client\MicrosoftSQLServerApi

All URIs are relative to *https://www.1gb.ru/api*

Method | HTTP request | Description
------------- | ------------- | -------------
[**mssqlListGet**](MicrosoftSQLServerApi.md#mssqlListGet) | **GET** /mssql/list | Получить список аккаунтов в MSSQL


# **mssqlListGet**
> \Swagger\Client\Model\InlineResponse2009[] mssqlListGet($_token_)

Получить список аккаунтов в MSSQL

### Example
```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\MicrosoftSQLServerApi();
$_token_ = "_token__example"; // string | Ключ доступа, полученный при авторизации

try {
    $result = $api_instance->mssqlListGet($_token_);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling MicrosoftSQLServerApi->mssqlListGet: ', $e->getMessage(), PHP_EOL;
}
?>
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **_token_** | **string**| Ключ доступа, полученный при авторизации |

### Return type

[**\Swagger\Client\Model\InlineResponse2009[]**](../Model/InlineResponse2009.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)

